﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace TrsRmt_CSharp_Example
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            
            //Trap unhandled exceptions here so we can see them
            AppDomain.CurrentDomain.UnhandledException += new UnhandledExceptionEventHandler(CurrentDomain_UnhandledException);
    
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        
        }


        static void CurrentDomain_UnhandledException
          (object sender, UnhandledExceptionEventArgs e)
        {
            try
            {
                Exception ex = (Exception)e.ExceptionObject;

                MessageBox.Show("Error: " + ex.Message + ex.StackTrace,
                      "Caught unhandled Exception", MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }
            finally
            {
               // Application.Exit();
            }
        }
    }
}
